> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Regenerate a Data Recipient Secret

> Use the /api/v1/recipients/{client_id}/secret endpoint to regenerate a new client secret for a particular Data Recipient.

Use the `/api/v1/recipients/{client_id}/secret` endpoint to regenerate a new client secret for a particular Data Recipient.

To successfully call this endpoint, you must first call the [/Token](/api/outbound/endpoints/authorize/token) endpoint to obtain a valid `access_token` using the following settings:

* grant\_type: `client_credentials`
* client\_id: `{partner client_id}`
* client\_secret: `{partner client_secret}`
* scope: `client:admin`


## OpenAPI

````yaml /openapi-outbound.yaml POST /api/v1/recipients/{client_id}/secret
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://ob.flinksapp.com
    description: Flinks Outbound Production
security:
  - BearerAuth: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
paths:
  /api/v1/recipients/{client_id}/secret:
    post:
      tags:
        - Outbound
      summary: Regenerate a Data Recipient Secret
      description: >-
        Use the /api/v1/recipients/{client_id}/secret endpoint to regenerate a
        new client secret for a particular Data Recipient.
      operationId: regenerateDataRecipientSecret
      parameters:
        - name: client_id
          in: path
          required: true
          description: The Data Recipient that you want to generate a secret for.
          schema:
            type: string
      responses:
        '200':
          description: Result
          content:
            application/json:
              schema:
                type: object
                properties:
                  client_id:
                    type: string
                  client_secret:
                    type: string
              example:
                client_id: dc-xxxxxxxxxxxxxxxxxxxxxxxxx
                client_secret: xxxxxxxxxxxxxxxxxxxxxx
        '400':
          description: Client Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Invalid request parameters
        '401':
          description: Unauthorized - Expired or invalid token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Invalid Bearer Token
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Internal Server Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer token obtained from the /Token endpoint.

````